---
name: SaeDefault
route: /Form/SaeDefault
menu: Form
---

import { Playground, PropsTable } from 'docz'
import Sae from '../../../src'
import { colors } from '@barcard/functions'
import FontAwesomeIcon from 'react-native-vector-icons/dist/FontAwesome'

## SaeDefault

## About

Sae-animated text input with default prop types.

## Properties

<PropsTable of={Sae} includeDescription={true} />

## Basic Usage

<Playground>
  <Sae
    label={'Sample Sae Input'}
    iconClass={FontAwesomeIcon}
    iconColor={colors.white}
    iconName={'list'}
    height={30}
  />
</Playground>
